> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/vector-store/update-files-content-in-a-vector-store.md).

# تحديث محتوى الملف في متجر المتجهات

{% openapi src="/files/HnPQpOiuTrIsiKLD8NFc" path="/vector-stores/{vector-store-id}/documents/{document-id}/" method="patch" %}
[rememberizer\_openapi.yml](https://4065521171-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKV4TZLzR1jCpM5coRezn%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=5e84eb03-c48b-4980-9792-73172ea64dd4)
{% endopenapi %}

## طلبات مثال

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X PATCH \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/1234/ \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "نظرة عامة على المنتج المحدثة"
  }'
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const updateDocument = async (vectorStoreId, documentId, newName) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/${documentId}/`, {
    method: 'PATCH',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      name: newName
    })
  });
  
  const data = await response.json();
  console.log(data);
};

updateDocument('vs_abc123', 1234, 'نظرة عامة على المنتج المحدثة');
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

def update_document(vector_store_id, document_id, new_name):
    headers = {
        "x-api-key": "YOUR_API_KEY",
        "Content-Type": "application/json"
    }
    
    payload = {
        "name": new_name
    }
    
    response = requests.patch(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/{document_id}/",
        headers=headers,
        data=json.dumps(payload)
    )
    
    data = response.json()
    print(data)

update_document('vs_abc123', 1234, 'نظرة عامة على المنتج المحدثة')
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}
{% endtabs %}

## معلمات المسار

| المعلمة         | النوع    | الوصف                                                 |
| --------------- | -------- | ----------------------------------------------------- |
| vector-store-id | سلسلة    | **مطلوب.** معرف متجر المتجهات الذي يحتوي على المستند. |
| document-id     | عدد صحيح | **مطلوب.** معرف المستند الذي سيتم تحديثه.             |

## جسم الطلب

```json
{
  "name": "نظرة عامة على المنتج المحدثة"
}
```

| المعامل | النوع | الوصف                 |
| ------- | ----- | --------------------- |
| name    | سلسلة | الاسم الجديد للوثيقة. |

## تنسيق الاستجابة

```json
{
  "id": 1234,
  "name": "نظرة عامة على المنتج المحدث",
  "type": "text/plain",
  "vector_store": "vs_abc123",
  "size": 173,
  "status": "مفهرس",
  "processing_status": "مكتمل",
  "indexed_on": "2023-06-15T10:30:00Z",
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T11:45:00Z"
}
```

## المصادقة

تتطلب هذه النقطة النهائية المصادقة باستخدام مفتاح API في رأس `x-api-key`.

## استجابات الخطأ

| رمز الحالة | الوصف                                                  |
| ---------- | ------------------------------------------------------ |
| 400        | طلب غير صالح - تنسيق الطلب غير صالح                    |
| 401        | غير مصرح - مفتاح API غير صالح أو مفقود                 |
| 404        | غير موجود - لم يتم العثور على متجر المتجهات أو الوثيقة |
| 500        | خطأ في الخادم الداخلي                                  |

تتيح لك هذه النقطة النهائية تحديث بيانات التعريف لوثيقة في متجر المتجهات الخاص بك. حاليًا، يمكنك فقط تحديث اسم الوثيقة. هذا مفيد لتحسين تنظيم الوثائق وقابلية اكتشافها دون الحاجة إلى إعادة تحميل الوثيقة.

{% hint style="info" %}
ملاحظة: هذه النقطة النهائية تقوم فقط بتحديث بيانات التعريف للوثيقة، وليس محتواها. لتحديث المحتوى، تحتاج إلى حذف الوثيقة الحالية وتحميل واحدة جديدة.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/vector-store/update-files-content-in-a-vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
